@import 'variables.scss';

li {
  display: flex;
  align-items: center;
  width: 100%;
  height: 35px;
  cursor: pointer;
  position: relative;

  .number {
    display: block;
    width: 50%;
    padding-left: 13px;
    font-size: 12px;
    color: $gray-darker;
  }

  .group-row {
    display: flex;
    align-items: center;
    width: 50%;
    height: 100%;
    padding-left: 19px;

    .box-edit {
      display: flex;
      align-items: center;

      .num-box {
        display: block;
        max-width: 60px;
        margin-right: 5px;
        font-size: 12px;
        color: $gray-darker;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }
    }

    .box-input {
      display: none;
      align-items: center;
      justify-content: space-between;
      width: 98px;
      height: 26px;
      padding: 0 8px 0 0;
      border: 1px solid $blur-gray;
      background: $white-text-color;
      position: relative;
      left: -9px;

      input {
        width: 40px;
        height: 100%;
        padding-left: 9px;
        font-size: 12px;
        font-weight: bold;
        color: $gray-darker;
        border: none;
        outline: none;
      }
    }
  }

  &.edit-ver {
    .group-row {
      .box-edit {
        display: none;
      }
  
      .box-input {
        display: flex;
      }
    }
    &:hover {
      .group-action {
        .click-edit {
          display: none;
        }
        .click-save {
          display: block;
        }
      }
    }
  }

  &:hover {
    .group-action {
      display: flex;
      background-color: #fff;
    }
  }

  .group-action {
    display: none;
    position: absolute;
    right: 10px;
    top: calc(50% - 10px);

    .click-edit {
      width: 18px;
      height: 18px;
      margin-right: 5px;
      i {
        font-size: 18px;
        color: $green-bg;
      }
    }
  
    .click-save {
      display: none;
      width: 18px;
      height: 18px;
      i {
        font-size: 18px;
        color: $green-bg;
      }
    }

    .delete-item {
      width: 18px;
      height: 18px;
      i {
        font-size: 18px;
        color: $red-color;
      }
    }
  }
}